#
# spec file for package lua51-mpack
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lua_version %(lua -e 'print(_VERSION)' | cut -d ' ' -f 2)
%define lua_archdir %{_libdir}/lua/%{lua_version}
Name:           lua51-mpack
Version:        1.0.2
Release:        3.1
Summary:        Implementation of MessagePack for Lua 5.1
License:        MIT
Group:          Development/Libraries/Other
Url:            https://github.com/tarruda/libmpack
Source:         https://github.com/tarruda/libmpack/archive/%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  libtool
BuildRequires:  lua51-devel
Requires:       lua51

%description

mpack is a small binary serialization/RPC library that implements
both the msgpack and msgpack-rpc specifications.

%prep
%setup -q -n libmpack-%{version}

%build
gcc -O2 -I%{_includedir}/lua/%{lua_version} -shared -fPIC -o mpack.so binding/lua/lmpack.c

%install
mkdir   -p     %{buildroot}%{lua_archdir}
install -Dm755 mpack.so %{buildroot}%{lua_archdir}

%files
%defattr(-,root,root)
%doc LICENSE-MIT README.md
%dir %{lua_archdir}
%{lua_archdir}/*

%changelog
* Fri Apr 22 2016 ronisbr@gmail.com
- Initial version.
